how to install last.fm plugin on rhythmbox?

 
    • dabju said...
    • User
    • 17 Sep 2007, 16:52

    how to install last.fm plugin on rhythmbox?

    i have no idea how to get and install plugins for rhythmbox. please explain to me as if i was a two year old.

    thanx.

    • varic said...
    • User
    • 17 Sep 2007, 20:40
    What version of Rhythmbox are you using? What are you trying to do with last.fm? My version (0.10.1 from Debian) has Last.fm radio on the left source pane, under Podcasts. You can configure your scrobbling (filling in your last.fm account and password info) by going to the Edit->Plugins menu and enable scrobbling by checking the box next to Last.fm.

    Unless you're using a really old version of Rhythmbox, you don't need to install a separate plugin to get Last.fm radio or scrobbling.

  • But how do you get Last.fm into your podcasts pane?

    -----

    edit:

    OMG I am dumb! It's built right in!

    • dabju said...
    • User
    • 25 Sep 2007, 18:59

    thanx!

    i feel like an ass. but still, one can't be brilliant all day, that would be exhausting. thank u for the reply!

  • But it doesn't show the track names. :-( Is there a way to make it do this?

  • New style plugin

    vvvvv

    Edited by gabspeck on 17 Oct 2007, 18:40
  • New style plugin

    This guy compiled a deb package for Rhythmbox with a plugin that uses the official Last.fm client to scrobble:
    http://blog.blackdown.de/2007/05/19/lastfm-for-rhythmbox-new-style

    The Rhythmbox version in his package is out dated as of the last time I checked (can't check it now -- I'm behind a paranoid squid proxy at school --'), but you can copy just the plugin folder inside the package to your filesystem to keep your current RB version.

    (easier done than said! :P)

  • What version of rhythmbox did they start implementing the built in last.fm feature? I don't see the icon in the left pane and something always seems to go wrong when I try installing the plugin. I can go to edit>preferences>audioscrobbler and fill out my login info , but nothing gets scrobbled.

    FYI: I know this isn't an Ubuntu help forum, but I'm using ubuntu dapper drake. apparently i have a broken package in my system. I tried using the 'broken' filter to locate it, but the filter only narrows it down to 100 or so packages. Sorry, just thought I inform everybody about that, because it's been causing me some issues when it comes to installing programs.

  • nevermind, it miraculously started working for me.

    • vibe31 said...
    • User
    • 29 Oct 2007, 11:15

    pluggin missing?

    hi,
    i have a small problem woth the pugin. the last.fm plugin is in the left pane but when i want toplay anything i get this error message

    "Couldn't start playback

    You do not have a decoder installed to handle this file. You might need to install the necessary plugins."

    i can login.
    i tried to de-install and install rythembox again.
    i use ubuntu.

  • Re: pluggin missing?

    vibe31 said:
    hi,
    i have a small problem woth the pugin. the last.fm plugin is in the left pane but when i want toplay anything i get this error message

    "Couldn't start playback

    You do not have a decoder installed to handle this file. You might need to install the necessary plugins."

    i can login.
    i tried to de-install and install rythembox again.
    i use ubuntu.


    install codecs to play mp3 files. they don't come with ubuntu.

    "Living is hard enough without you FUCKIN' UP!"
    -Breaking Benjamin.
    • vibe31 said...
    • User
    • 31 Oct 2007, 11:14

    Re: Re: pluggin missing?

    qinjuehang said:


    install codecs to play mp3 files. they don't come with ubuntu.



    rythembox plays mp3's fine, it's just the lastfm stream that is giving me problems. shouldn't these codecs be included in the last.fm plugin?

    • [Deleted user] said...
    • User
    • 5 Nov 2007, 20:01
    Maybe you don't have some of gstreamer plugins, just check in synaptic.
    Best regards.

Anonymous users may not post messages. Please log in or create an account to post in the forums.